<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
        <title>MerMEId manual - The Code Inspector</title>

        <link href="../style/tab_style.css" rel="stylesheet" type="text/css" />
        <link href="../style/list_style.css" rel="stylesheet" type="text/css" />
        <link href="../style/front_page.css" rel="stylesheet" type="text/css" />
        <link href="../style/manual.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <div class="main">
            <div class="manual_header">
                <div class="close_div">
                    <a href="javascript:window.close();" class="trigger"><img alt="Close"
                            title="Close" src="../images/close.gif" height="12" width="12"
                     /></a></div>
                <img alt="MerMEId" src="../images/mermeid_30px.png" height="23" width="130" />
            </div>
            <div class="toclink"><a href="index.html">Back to table of contents</a></div>
            <h2>Using the code inspector</h2>
            <p>The code inspector (or Orbeon XForms Form Inspector) may be a useful tool for
                experienced users for convenient inspection of the data you are editing. To review
                your XML data without the code inspector, you will&nbsp;need to save your changes
                first and open&nbsp;or update the standard XML file view, which is available by
                clicking the XML view button <img style="width: 16px; height: 16px;" alt="XML View"
                    src="../images/xml.gif" />. The code inspector, however,&nbsp;allows you to
                watch the changes in&nbsp;your XML data while you edit.</p>
            <p>Because it may have a considerable effect on performance, the code inspector is
                disabled by default. In order to use it, your system administrator may need to
                modify the configuration file found at <a
                    href="/editor/forms/mei/mermeid_configuration.xml"
                    >/editor/forms/mei/mermeid_configuration.xml</a>. Locate the
                &lt;code_inspector_main_switch/&gt; element and set it to 'true':</p>
            <pre>&lt;code_inspector_main_switch&gt;true&lt;/code_inspector_main_switch&gt;</pre> The
            code inspector is now available at the settings menu, which is opened by clicking
            the settings icon <img src="../images/settings.png" alt="Settings" /> in the top
            right corner. Check the "Enable code inspector" option to turn it on:<br />
            <img style="width: 276px; height: 158px;" class="illustration"
                alt="Activating the code inspector"
                src="../images/manual/code_inspector_settings.png" />
            <p>Close the settings menu. At the bottom of the page, you will find the live XML code
                view:</p>
            <img style="width: 830px; height: 522px;" class="illustration" alt="Code inspector"
                src="../images/manual/code_inspector.png" /><br /><br />Please note that the code
            inspector is for viewing only; it does not allow editing your data in code view. For
            more advanced editing than offered by the MerMEId editor in standard mode, you may
            want to activate the <a href="attribute_editor.html">attribute editor</a>.<br />
            <ul class="important">
                <li>Please note that MerMEId makes temporary changes to your data on loading,
                    so what you see in the code inspector is not exactly what is saved when
                    you hit the "Save" button. For instance, MerMEId strips off all 
                    contents of the &lt;music/&gt; element,
                    adds some empty attributes, and translates MEI text formatting into HTML markup on loading 
                    – and vice versa on saving.</li>
            </ul>
        </div>
        <p class="footer"><a href="http://www.kb.dk/dcm" title="DCM"><img
                    style="border: 0px none ; vertical-align: middle;" alt="DCM Logo"
                    src="../images/dcm_logo_small_white.png" /></a> 2016 Danish Centre for Music
            Editing | The Royal Library, Copenhagen | <a name="www.kb.dk" id="www.kb.dk"
                href="http://www.kb.dk/dcm">www.kb.dk/dcm</a></p>
    </body>
</html>